Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Update device group partially

Prev Next
Patch
/devicegroups/{id}/

Operation is used to update specific fields in existing device group. Available from product version 3.4.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of device group to update

Body parameters

Device group attributes and values to be updated

object
clazz
integer

Terminal type class

comments
string

comments

name
string

name

Responses
200

Object was updated successfully

object
clazz
integer

Terminal type class

comments
string

comments

createdBy
string

User who created the device group

createdTs
string (date-time)

Timestamp when the device group was created

devices
Array of integer

List of terminal type primary keys

integer
id
integer

Primary key

name
string

name

updatedBy
string

User who last updated the device group

updatedTs
string (date-time)

Timestamp when the device group was last updated

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error